Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.comment
Class CommentListenerSupport

    java.lang.Object
      net.sourceforge.pebble.event.comment.CommentListenerSupport

All Implemented Interfaces:
  CommentListener

Direct Known Subclasses:
  AbstractEmailNotificationListener

    public abstract class CommentListenerSupport

extends java.lang.Object
implements CommentListener

Starting point for implementation of CommentListener that provides no-op methods.

Author:
  Simon Brown

Constructor Summary
`CommentListenerSupport()`

Method Summary
`void` | `commentAdded(CommentEvent event)` Called when a comment has been added.
`void` | `commentApproved(CommentEvent event)` Called when a comment has been approved.
`void` | `commentRejected(CommentEvent event)` Called when a comment has been rejected.
`void` | `commentRemoved(CommentEvent event)` Called when a comment has been removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentListenerSupport

    public CommentListenerSupport()

Method Detail

### commentAdded

    public void commentAdded(CommentEvent event)

  Called when a comment has been added.

  Specified by:
    `commentAdded` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRemoved

    public void commentRemoved(CommentEvent event)

  Called when a comment has been removed.

  Specified by:
    `commentRemoved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentApproved

    public void commentApproved(CommentEvent event)

  Called when a comment has been approved.

  Specified by:
    `commentApproved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRejected

    public void commentRejected(CommentEvent event)

  Called when a comment has been rejected.

  Specified by:
    `commentRejected` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.